/*******************************************************************************
 * Copyright (c) 2007 IBM Corporation and others.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Contributors:
 *     IBM Corporation - initial API and implementation
 *******************************************************************************/
package launchables;

/**
 * Contains multiple inner classes with main methods.
 */
public class MultipleInnerClasses {

	static class Inner extends Object {
	
	public Inner() {}
	
	public static void main(String []args){
		System.out.println("a");
	}
	public void doSomething() {}
	}
	
	private static class Inner2 extends Object {
	
	public Inner2() {}
	
	public static void main(String []args){
		System.out.println("b");
	}
	
	public void doSomething() {}
	}
	
	public static void main(String[] args) {
		System.out.println("c");
	}
	
} 